> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emnify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emnify.com/_mcp/server.

# Schedule eUICC operations

POST https://cdn.emnify.net/api/v1/euicc/{euicc_id}/operation
Content-Type: application/json

Schedules one or more operations on the specified eUICC.
Each array element represents a single operation request.
This route returns HTTP 404 error for non-IoT eUICCs.


Reference: https://docs.emnify.com/developers/api/euicc-operation/schedule-operations

## Authentication

- `Authorization` header (bearer token, required) — An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to `/api/v1/authenticate`.

## Request

### Path parameters

- `euicc_id` (integer, required)

### Body (application/json)

This endpoint expects a list of EuiccOperationRequest.

- `list of EuiccOperationRequest`

## Response

### 201

Created, operations scheduled

- `list of EuiccOperation`

## Errors

### 400 Bad Request Error

Bad Request

- `status_code` (integer, required)
- `message` (string, required)

### 401 Unauthorized Error

Unauthorized

- `status_code` (integer, required)
- `message` (string, required)

### 403 Forbidden Error

Forbidden

- `status_code` (integer, required)
- `message` (string, required)

### 404 Not Found Error

Not Found

- `status_code` (integer, required)
- `message` (string, required)

### 500 Internal Server Error

Internal Server Error

- `status_code` (integer, required)
- `message` (string, required)

## Types

### EuiccOperationRequest

- `action` (EuiccOperationActionRef, required)
- `validity_period` (integer, optional, default: 86400) — Seconds until expiry
- `iccid_with_luhn` (string, optional) — Full ICCID including the Luhn check digit
- `activation_code` (string, optional) — Activation code
- `enable` (boolean, optional) — Flag whether downloaded profile should be enabled
- `rollback` (boolean, optional) — Flag whether rollback mechanism should be triggered

### EuiccOperation

- `id` (string, required)
- `action` (OperationAction, required)
- `status` (OperationStatus, required)
- `creation_date` (string, required)
- `last_updated_at` (string, required)
- `user` (UserResponse, required)
- `expiry_date` (string, optional)
- `finalization_date` (string, optional)
- `error` (ErrorResponse, optional)
- `iccid_with_luhn` (string, optional) — Full ICCID including the Luhn check digit

### EuiccOperationActionRef

- `id` (integer, required)

### OperationAction

- `id` (integer, required)
- `description` (string, required)

### OperationStatus

- `id` (integer, required)
- `description` (string, required)

### UserResponse

- `id` (integer, required)
- `name` (string, required)

### ErrorResponse

- `reason` (integer, required)
- `message` (string, required)

## Examples

### Audit eUICC Operation

**Request**

```json
[
  {
    "action": {
      "id": 1
    },
    "validity_period": 600
  }
]
```

**Response**

```json
[
  {
    "id": "11111111-2222-3333-4444-555555555555",
    "action": {
      "id": 1,
      "description": "Audit eUICC"
    },
    "status": {
      "id": 1,
      "description": "Scheduled"
    },
    "creation_date": "2025-09-25T12:05:00.000Z",
    "last_updated_at": "2025-09-25T12:05:00.000Z",
    "user": {
      "id": 123456,
      "name": "John Doe"
    }
  }
]
```

**SDK Code**

```python Audit eUICC Operation
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation"

payload = [
    {
        "action": { "id": 1 },
        "validity_period": 600
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Audit eUICC Operation
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"action":{"id":1},"validity_period":600}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Audit eUICC Operation
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation"

	payload := strings.NewReader("[\n  {\n    \"action\": {\n      \"id\": 1\n    },\n    \"validity_period\": 600\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Audit eUICC Operation
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"action\": {\n      \"id\": 1\n    },\n    \"validity_period\": 600\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Audit eUICC Operation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://cdn.emnify.net/api/v1/euicc/123456/operation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"action\": {\n      \"id\": 1\n    },\n    \"validity_period\": 600\n  }\n]")
  .asString();
```

```php Audit eUICC Operation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://cdn.emnify.net/api/v1/euicc/123456/operation', [
  'body' => '[
  {
    "action": {
      "id": 1
    },
    "validity_period": 600
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Audit eUICC Operation
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"action\": {\n      \"id\": 1\n    },\n    \"validity_period\": 600\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Audit eUICC Operation
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "action": ["id": 1],
    "validity_period": 600
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Download Profile Operation

**Request**

```json
[
  {
    "action": {
      "id": 2
    },
    "validity_period": 600,
    "activation_code": "1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815",
    "enable": true,
    "rollback": true
  }
]
```

**Response**

```json
[
  {
    "id": "11111112-2222-3333-4444-555555555555",
    "action": {
      "id": 2,
      "description": "Download profile"
    },
    "status": {
      "id": 1,
      "description": "Scheduled"
    },
    "creation_date": "2025-09-25T12:05:00.000Z",
    "last_updated_at": "2025-09-25T12:05:00.000Z",
    "user": {
      "id": 123456,
      "name": "John Doe"
    }
  }
]
```

**SDK Code**

```python Download Profile Operation
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation"

payload = [
    {
        "action": { "id": 2 },
        "validity_period": 600,
        "activation_code": "1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815",
        "enable": True,
        "rollback": True
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Download Profile Operation
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"action":{"id":2},"validity_period":600,"activation_code":"1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815","enable":true,"rollback":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Download Profile Operation
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation"

	payload := strings.NewReader("[\n  {\n    \"action\": {\n      \"id\": 2\n    },\n    \"validity_period\": 600,\n    \"activation_code\": \"1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815\",\n    \"enable\": true,\n    \"rollback\": true\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Download Profile Operation
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"action\": {\n      \"id\": 2\n    },\n    \"validity_period\": 600,\n    \"activation_code\": \"1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815\",\n    \"enable\": true,\n    \"rollback\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Download Profile Operation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://cdn.emnify.net/api/v1/euicc/123456/operation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"action\": {\n      \"id\": 2\n    },\n    \"validity_period\": 600,\n    \"activation_code\": \"1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815\",\n    \"enable\": true,\n    \"rollback\": true\n  }\n]")
  .asString();
```

```php Download Profile Operation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://cdn.emnify.net/api/v1/euicc/123456/operation', [
  'body' => '[
  {
    "action": {
      "id": 2
    },
    "validity_period": 600,
    "activation_code": "1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815",
    "enable": true,
    "rollback": true
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Download Profile Operation
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"action\": {\n      \"id\": 2\n    },\n    \"validity_period\": 600,\n    \"activation_code\": \"1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815\",\n    \"enable\": true,\n    \"rollback\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Download Profile Operation
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "action": ["id": 2],
    "validity_period": 600,
    "activation_code": "1$SMDP.GSMA.COM$04386-AGYFT-A74Y8-3F815",
    "enable": true,
    "rollback": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Enable Profile by ICCID

**Request**

```json
[
  {
    "action": {
      "id": 3
    },
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051",
    "rollback": true
  }
]
```

**Response**

```json
[
  {
    "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "action": {
      "id": 3,
      "description": "Enable profile"
    },
    "status": {
      "id": 1,
      "description": "Scheduled"
    },
    "creation_date": "2025-09-25T12:05:00.000Z",
    "last_updated_at": "2025-09-25T12:05:00.000Z",
    "user": {
      "id": 123456,
      "name": "John Doe"
    },
    "iccid_with_luhn": "89883030000133194051"
  }
]
```

**SDK Code**

```python Enable Profile by ICCID
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation"

payload = [
    {
        "action": { "id": 3 },
        "validity_period": 600,
        "iccid_with_luhn": "89883030000133194051",
        "rollback": True
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Enable Profile by ICCID
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"action":{"id":3},"validity_period":600,"iccid_with_luhn":"89883030000133194051","rollback":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Enable Profile by ICCID
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation"

	payload := strings.NewReader("[\n  {\n    \"action\": {\n      \"id\": 3\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\",\n    \"rollback\": true\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Enable Profile by ICCID
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"action\": {\n      \"id\": 3\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\",\n    \"rollback\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Enable Profile by ICCID
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://cdn.emnify.net/api/v1/euicc/123456/operation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"action\": {\n      \"id\": 3\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\",\n    \"rollback\": true\n  }\n]")
  .asString();
```

```php Enable Profile by ICCID
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://cdn.emnify.net/api/v1/euicc/123456/operation', [
  'body' => '[
  {
    "action": {
      "id": 3
    },
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051",
    "rollback": true
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Enable Profile by ICCID
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"action\": {\n      \"id\": 3\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\",\n    \"rollback\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Enable Profile by ICCID
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "action": ["id": 3],
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051",
    "rollback": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Set Fallback Profile by ICCID

**Request**

```json
[
  {
    "action": {
      "id": 4
    },
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051"
  }
]
```

**Response**

```json
[
  {
    "id": "aaaaaaab-bbbb-cccc-dddd-eeeeeeeeeeee",
    "action": {
      "id": 4,
      "description": "Set fallback attribute"
    },
    "status": {
      "id": 1,
      "description": "Scheduled"
    },
    "creation_date": "2025-09-25T12:05:00.000Z",
    "last_updated_at": "2025-09-25T12:05:00.000Z",
    "user": {
      "id": 123456,
      "name": "John Doe"
    },
    "iccid_with_luhn": "89883030000133194051"
  }
]
```

**SDK Code**

```python Set Fallback Profile by ICCID
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation"

payload = [
    {
        "action": { "id": 4 },
        "validity_period": 600,
        "iccid_with_luhn": "89883030000133194051"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Set Fallback Profile by ICCID
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"action":{"id":4},"validity_period":600,"iccid_with_luhn":"89883030000133194051"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Set Fallback Profile by ICCID
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation"

	payload := strings.NewReader("[\n  {\n    \"action\": {\n      \"id\": 4\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Set Fallback Profile by ICCID
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"action\": {\n      \"id\": 4\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Set Fallback Profile by ICCID
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://cdn.emnify.net/api/v1/euicc/123456/operation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"action\": {\n      \"id\": 4\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]")
  .asString();
```

```php Set Fallback Profile by ICCID
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://cdn.emnify.net/api/v1/euicc/123456/operation', [
  'body' => '[
  {
    "action": {
      "id": 4
    },
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Set Fallback Profile by ICCID
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"action\": {\n      \"id\": 4\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Set Fallback Profile by ICCID
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "action": ["id": 4],
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Delete Profile by ICCID

**Request**

```json
[
  {
    "action": {
      "id": 5
    },
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051"
  }
]
```

**Response**

```json
[
  {
    "id": "aaaaaaac-bbbb-cccc-dddd-eeeeeeeeeeee",
    "action": {
      "id": 5,
      "description": "Delete profile"
    },
    "status": {
      "id": 1,
      "description": "Scheduled"
    },
    "creation_date": "2025-09-25T12:05:00.000Z",
    "last_updated_at": "2025-09-25T12:05:00.000Z",
    "user": {
      "id": 123456,
      "name": "John Doe"
    },
    "iccid_with_luhn": "89883030000133194051"
  }
]
```

**SDK Code**

```python Delete Profile by ICCID
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation"

payload = [
    {
        "action": { "id": 5 },
        "validity_period": 600,
        "iccid_with_luhn": "89883030000133194051"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Delete Profile by ICCID
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"action":{"id":5},"validity_period":600,"iccid_with_luhn":"89883030000133194051"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Delete Profile by ICCID
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation"

	payload := strings.NewReader("[\n  {\n    \"action\": {\n      \"id\": 5\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Delete Profile by ICCID
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"action\": {\n      \"id\": 5\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Delete Profile by ICCID
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://cdn.emnify.net/api/v1/euicc/123456/operation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"action\": {\n      \"id\": 5\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]")
  .asString();
```

```php Delete Profile by ICCID
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://cdn.emnify.net/api/v1/euicc/123456/operation', [
  'body' => '[
  {
    "action": {
      "id": 5
    },
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Delete Profile by ICCID
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"action\": {\n      \"id\": 5\n    },\n    \"validity_period\": 600,\n    \"iccid_with_luhn\": \"89883030000133194051\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Delete Profile by ICCID
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "action": ["id": 5],
    "validity_period": 600,
    "iccid_with_luhn": "89883030000133194051"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Unset Fallback Attribute Operation

**Request**

```json
[
  {
    "action": {
      "id": 6
    },
    "validity_period": 600
  }
]
```

**Response**

```json
[
  {
    "id": "aaaaaaad-bbbb-cccc-dddd-eeeeeeeeeeee",
    "action": {
      "id": 6,
      "description": "Unset fallback attribute"
    },
    "status": {
      "id": 1,
      "description": "Scheduled"
    },
    "creation_date": "2025-09-25T12:05:00.000Z",
    "last_updated_at": "2025-09-25T12:05:00.000Z",
    "user": {
      "id": 123456,
      "name": "John Doe"
    }
  }
]
```

**SDK Code**

```python Unset Fallback Attribute Operation
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456/operation"

payload = [
    {
        "action": { "id": 6 },
        "validity_period": 600
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Unset Fallback Attribute Operation
const url = 'https://cdn.emnify.net/api/v1/euicc/123456/operation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"action":{"id":6},"validity_period":600}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Unset Fallback Attribute Operation
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456/operation"

	payload := strings.NewReader("[\n  {\n    \"action\": {\n      \"id\": 6\n    },\n    \"validity_period\": 600\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Unset Fallback Attribute Operation
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456/operation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"action\": {\n      \"id\": 6\n    },\n    \"validity_period\": 600\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Unset Fallback Attribute Operation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://cdn.emnify.net/api/v1/euicc/123456/operation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"action\": {\n      \"id\": 6\n    },\n    \"validity_period\": 600\n  }\n]")
  .asString();
```

```php Unset Fallback Attribute Operation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://cdn.emnify.net/api/v1/euicc/123456/operation', [
  'body' => '[
  {
    "action": {
      "id": 6
    },
    "validity_period": 600
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Unset Fallback Attribute Operation
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456/operation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"action\": {\n      \"id\": 6\n    },\n    \"validity_period\": 600\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Unset Fallback Attribute Operation
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "action": ["id": 6],
    "validity_period": 600
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456/operation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```